curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"job_family_id": "b0035050-eb84-42dc-a79f-5e7b1fe897b7",
"target_job_family_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"score": 0.42
}Get the task-based match score between two Job Families
Get the symmetric task-based match score between two Job Families, computed from their merged member-Job task profiles. The score is an hours-weighted, continuous task similarity, harmonic-meaned across both directions, and is symmetric: swapping the two Job Families yields the same score.
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"job_family_id": "b0035050-eb84-42dc-a79f-5e7b1fe897b7",
"target_job_family_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"score": 0.42
}Authorizations
Path Parameters
Unique external ID linked to this Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Unique external ID linked to the target Job Family to compare against, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
Response
OK
- Option 1
- Explained
A task-based match result between two Job Families.
Was this page helpful?